/// <reference types="pouchdb-replication" />
/// <reference types="pouchdb-core" />
/// <reference types="pouchdb-mapreduce" />
import { Middleware } from 'redux';
import * as actions from './actions';
export declare type ChangeCallback = (arg: PouchDB.Replication.SyncResult<actions.MaybeModel>) => void;
export interface ReplicationNotifier {
    on(event: 'change', listener: (info: PouchDB.Replication.SyncResult<actions.MaybeModel>) => void): ReplicationNotifier;
}
export declare function sync<State>(db: PouchDB.Database<actions.MaybeModel>, replication?: ReplicationNotifier, modelsToSync?: string[], name?: string, done?: () => void): Middleware;
